Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.misc
Class SwappingListBasicUI.SwappingMouseInputHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicListUI.MouseInputHandler
            |
            +--uk.ac.man.bioinf.gui.misc.SwappingListBasicUI.SwappingMouseInputHandler

All Implemented Interfaces:
  EventListener, MouseInputListener, MouseListener, MouseMotionListener

Enclosing class:
  SwappingListBasicUI

public class SwappingListBasicUI.SwappingMouseInputHandler
extends BasicListUI.MouseInputHandler

Constructor Summary
`SwappingListBasicUI.SwappingMouseInputHandler()`

Method Summary
`void` | `mouseDragged(MouseEvent e)`
`void` | `mousePressed(MouseEvent event)`
`protected void` | `swap(int max, int min)`

Methods inherited from class javax.swing.plaf.basic.BasicListUI.MouseInputHandler
`mouseClicked, mouseEntered, mouseExited, mouseMoved, mouseReleased`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwappingListBasicUI.SwappingMouseInputHandler

    public SwappingListBasicUI.SwappingMouseInputHandler()

Method Detail

### mousePressed

    public void mousePressed(MouseEvent event)

  Specified by:
    `mousePressed` in interface `MouseListener`
  Overrides:
    `mousePressed` in class `BasicListUI.MouseInputHandler`

### mouseDragged

    public void mouseDragged(MouseEvent e)

  Specified by:
    `mouseDragged` in interface `MouseMotionListener`
  Overrides:
    `mouseDragged` in class `BasicListUI.MouseInputHandler`

### swap

    protected void swap(int max,
                        int min)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD